DCMTK - Patch #698

Trying to link against the iconv library although it was disabled
2016-10-25 10:15 - Jan Schlamelcher

Status: Closed Start date: 2016-10-25
Priority: Low Due date:

Assignee: % Done: 100%
Category: Configuration Estimated time: 0:00 hour

Target version:
Module: CMake Compiler:
Operating System:

Description
If LibXML but not the iconv library are enabled using CMake, some modules/applications are still linked against the iconv library.

Related issues:

Related to DCMTK - Feature #367: libiconv ist ggf. doppelt vorhanden New
Related to DCMTK - Bug #837: Fix incompatibility between DCMTK's own FindICON... Closed 2018-06-19
History

#1 - 2016-10-25 10:35 - J6rg Riesmeier
- Tracker changed from Bug to Patch
- Priority changed from High to Low

The proposed patch makes no sense since linking libiconv is on purpose (in order to allow libxml to do character set conversions). See related issue
#367.

#2 - 2016-10-25 10:35 - Jorg Riesmeier
- Target version changed from 3.6.1 to 3.6.2

#3 - 2017-03-24 12:49 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#4 - 2018-02-05 18:43 - Jan Schlamelcher
- Assignee deleted (Thorben Hasenpusch)
- Target version changed from 3.6.3 to 3.6.6

#5 - 2018-06-19 10:03 - Jan Schlamelcher
- Related to Bug #837: Fix incompatibility between DCMTK's own FindICONV.cmake and the official one added

#6 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)

#7 - 2025-08-21 10:48 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

Patch is obsolete, since a similar modification is already present in DCMTK.

Files

iconv-bug.diff 756 Bytes 2016-10-25 Jan Schlamelcher
